import request from '@/utils/request.js'

// 查询国际关键零部件模版列表
export function listTemplate(query) {
  return request({
    url: '/control/baseIntlPartTemplate/list',
    method: 'get',
    params: query
  })
}

// 查询国际关键零部件模版详细
export function getTemplate(id) {
  return request({
    url: '/control/baseIntlPartTemplate/' + id,
    method: 'get'
  })
}

// 新增国际关键零部件模版
export function addTemplate(data) {
  return request({
    url: '/control/baseIntlPartTemplate',
    method: 'post',
    data: data
  })
}

// 修改国际关键零部件模版
export function updateTemplate(data) {
  return request({
    url: '/control/baseIntlPartTemplate',
    method: 'put',
    data: data
  })
}

// 删除国际关键零部件模版
export function delTemplate(id) {
  return request({
    url: '/control/baseIntlPartTemplate/' + id,
    method: 'delete'
  })
}

// 逻辑删除国际关键零部件模版
export function delLogicTemplate(id) {
  return request({
    url: '/control/baseIntlPartTemplate/logicDelete/' + id,
    method: 'delete'
  })
}

// 获取全部事业部
export function getAllUnit(data) {
  return request({
    url: '/control/baseIntlPartTemplate/getAllUnit/' + data,
    method: 'get'
  })
}
