import request from '@/utils/request'

// 查询国际关键零部件模版详情列表
export function listDetail(query) {
  return request({
    url: '/control/baseIntlPartTemplateDetail/list',
    method: 'get',
    params: query
  })
}

// 查询国际关键零部件模版详情详细
export function getDetail(id) {
  return request({
    url: '/control/baseIntlPartTemplateDetail/' + id,
    method: 'get'
  })
}

// 新增国际关键零部件模版详情
export function addDetail(data) {
  return request({
    url: '/control/baseIntlPartTemplateDetail',
    method: 'post',
    data: data
  })
}

// 修改国际关键零部件模版详情
export function updateDetail(data) {
  return request({
    url: '/control/baseIntlPartTemplateDetail',
    method: 'put',
    data: data
  })
}

// 删除国际关键零部件模版详情
export function delDetail(id) {
  return request({
    url: '/control/baseIntlPartTemplateDetail/' + id,
    method: 'delete'
  })
}

// 获取市场法规清单的适用市场
export function getMarket() {
  return request({
    url: '/control/baseIntlPartTemplateDetail/getApplicableMarket',
    method: 'get'
  })
}
