import request from '@/utils/request.js'

// 查询CCAP控制计划列表
export function getCCAPPlanList(query) {
  return request({
    url: '/control/ccapPlan/list',
    method: 'get',
    params: query
  })
}
// 查询所有事业部名称
export function getAllBusinessUnitName() {
  return request({
    url: '/control/unit/list',
    method: 'get',
  })
}
// 查询CCAP控制计划历史列表
export function getCCAPPlanHistoryList(query) {
  return request({
    url: '/ccapPlan/hisList',
    method: 'get',
    params: query
  })
}
// 删除控制计划
export function deletePlan(planId) {
  return request({
    url: '/control/ccapPlan/'+planId,
    method: 'DELETE'
  })
}
// 撤销删除计划
export function undoPlan(data) {
  return request({
    url: '/control/ccapPlan/revoke/',
    method: 'put',
    data: data
  })
}
