import request from '@/utils/request'

//添加零部件
export function addParts(data) {
    return request({
        url: '/control/partsRelation/add',
        method: 'post',
        data: data
    })
}

//获取零部件一级名称下拉列表
export function listPartLevelOneName() {
    return request({
        url: '/control/partsRelation/partLevelOneNameList',
        method: 'get'
    })
}

//获取专业部门下拉列表
export function listProfessionalDepartment(businessRelationId) {
    return request({
        url: '/control/specialConfig/professionalDepartmentList',
        method: 'get',
        params: {
            businessRelationId
        }
    })
}

//删除关键零部件
export function deleteCriticalPart(partNameId, partsRelationId, specialConfigId) {
    return request({
        url: '/control/partsRelation/delete',
        method: 'get',
        params: {
            partNameId,
            partsRelationId,
            specialConfigId
        }
    });
}

//获取零部件详情
export function getPartsDetail(partNameId, businessRelationId) {
    return request({
        url: '/control/partsRelation/getDetail',
        method: 'get',
        params: {
            partNameId,
            businessRelationId
        }
    })
}

//编辑零部件
export function editParts(data) {
    return request({
        url: '/control/partsRelation/update',
        method: 'put',
        data: data
    })
}

//批量编辑和编辑--事业部
export function batchUpdateSpecialConfig(data) {
    return request({
        url: '/control/specialConfig/update',
        method: 'put',
        data: data
    })
}
