import request from '@/utils/request'

// 查询预置数据列表
export function listPreset(query) {
  return request({
    url: '/control/preset/list',
    method: 'get',
    params: query
  })
}

// 查询预置数据详细
export function getPreset(id) {
  return request({
    url: '/control/preset/' + id,
    method: 'get'
  })
}

// 新增预置数据
export function addPreset(data) {
  return request({
    url: '/control/preset',
    method: 'post',
    data: data
  })
}

// 修改预置数据
export function updatePreset(data) {
  return request({
    url: '/control/preset',
    method: 'put',
    data: data
  })
}

// 删除预置数据
export function delPreset(id) {
  return request({
    url: '/control/preset/' + id,
    method: 'delete'
  })
}
