import request from '@/utils/request.js'

// 查询车型库列表
export function listLibrary(query) {
  return request({
    url: '/control/library/list',
    method: 'get',
    params: query
  })
}

// 查询车型库详细
export function getLibrary(id) {
  return request({
    url: '/control/library/' + id,
    method: 'get'
  })
}

// 新增车型库
export function addLibrary(data) {
  return request({
    url: '/control/library',
    method: 'post',
    data: data
  })
}

// 修改车型库
export function updateLibrary(data) {
  return request({
    url: '/control/library',
    method: 'put',
    data: data
  })
}

// 删除车型库
export function delLibrary(id) {
  return request({
    url: '/control/library/' + id,
    method: 'delete'
  })
}

// 获取全部车型系列
export function getAllModelSeries() {
  return request({
    url: '/control/library/getAllModelSeries',
    method: 'post'
  })
}

export function getAllSeries() {
  return request({
    url: '/control/library/getAllSeries',
    method: 'post'
  })
}
