import request from '@/utils/request'

// 查询事业部列表
export function listUnit(query) {
  return request({
    url: '/control/unit/list',
    method: 'get',
    params: query,
  })
}

// 查询事业部详细
export function getUnit(id) {
  return request({
    url: '/control/unit/' + id,
    method: 'get',
  })
}

// 新增事业部
export function addUnit(data) {
  return request({
    url: '/control/unit',
    method: 'post',
    data: data,
  })
}

// 修改事业部
export function updateUnit(data) {
  return request({
    url: '/control/unit',
    method: 'put',
    data: data,
  })
}

// 删除事业部
export function delUnit(id) {
  return request({
    url: '/control/unit/' + id,
    method: 'delete',
  })
}
// 查询所有事业部名称
export function getAllBusinessUnitName(query) {
  return request({
    url: '/control/unit/getAllBusinessUnitName',
    method: 'get',
    data: query,
  })
}
