import request from '@/utils/request'

// 查询制造商管理列表
export function listManufacturer(query) {
  return request({
    url: '/control/manufacturer/list',
    method: 'get',
    params: query,
  })
}

// 查询制造商管理详细
export function getManufacturer(id) {
  return request({
    url: '/control/manufacturer/' + id,
    method: 'get',
  })
}

// 新增制造商管理
export function addManufacturer(data) {
  return request({
    url: '/control/manufacturer',
    method: 'post',
    data: data,
  })
}

// 修改制造商管理
export function updateManufacturer(data) {
  return request({
    url: '/control/manufacturer',
    method: 'put',
    data: data,
  })
}

// 删除制造商管理
export function delManufacturer(id) {
  return request({
    url: '/control/manufacturer/' + id,
    method: 'delete',
  })
}

export function updateManufacturers() {
  return request({
    url: '/control/manufacturer/updateManufacturerData',
    method: 'post',
  })
}
