import request from '@/utils/request'

// 查询国内车型列表
export function listModel(query) {
  return request({
    url: '/control/model/list',
    method: 'get',
    params: query,
  })
}

// 查询国内国际车型详细
export function getModel(id) {
  return request({
    url: '/control/model/' + id,
    method: 'get',
  })
}

// 新增国内车型
export function addModel(data) {
  return request({
    url: '/control/model',
    method: 'post',
    data: data,
  })
}

// 修改国内国际车型
export function updateModel(data) {
  return request({
    url: '/control/model',
    method: 'put',
    data: data,
  })
}

// 删除国内车型
export function delModel(id) {
  return request({
    url: '/control/model/' + id,
    method: 'delete',
  })
}
export function treeListModel(query) {
  return request({
    url: '/control/model/treeList',
    method: 'get',
    params: query,
  })
}
export function treeListInternationalModel(query) {
  return request({
    url: '/control/model/treeListInternationalModel',
    method: 'get',
    params: query,
  })
}
